// Zed settings
//
// For information on how to configure Zed, see the Zed
// documentation: https://zed.dev/docs/configuring-zed
//
// To see all of Zed's default settings without changing your
// custom settings, run `zed: open default settings` from the
// command palette (cmd-shift-p / ctrl-shift-p)
{
  "enable_language_server": true,
  "proxy": "",
  "agent_servers": {
    "stakpak": {
      "type": "registry",
    },
    "auggie": {
      "type": "registry",
    },
    "opencode": {
      "type": "registry",
    },
  },
  "cli_default_open_behavior": "existing_window",
  "outline_panel": {
    "dock": "left",
  },
  "collaboration_panel": {
    "dock": "left",
  },
  "git_panel": {
    "dock": "left",
  },
  "minimap": {
    "max_width_columns": 100,
    "thumb": "always",
    "show": "auto",
  },
  "scrollbar": {
    "show": "always",
  },
  "hover_popover_delay": 200,
  "restore_on_startup": "last_workspace",
  "when_closing_with_no_tabs": "close_window",
  "current_line_highlight": "all",
  "diagnostics": {
    "inline": {
      "padding": 5,
    },
  },
  "prettier": {
    "allowed": true,
  },
  "image_viewer": {
    "unit": "decimal",
  },
  "project_panel": {
    "dock": "left",
    "button": true,
    "scrollbar": {
      "show": "always",
    },
    "indent_size": 24.0,
    "default_width": 240.0,
  },
  "agent": {
    "dock": "right",
    "model_parameters": [],
    "message_editor_min_lines": 6,
  },
  "agent_buffer_font_size": 18.0,
  "active_pane_modifiers": {
    "border_size": 1.0,
    "inactive_opacity": 0.8,
  },
  "use_system_window_tabs": false,
  "centered_layout": {
    "right_padding": 0.3,
    "left_padding": 0.3,
  },
  "bottom_dock_layout": "full",
  "tabs": {
    "git_status": true,
    "file_icons": true,
  },
  "title_bar": {
    "show_branch_status_icon": true,
    "show_menus": false,
  },
  "file_finder": {
    "modal_max_width": "medium",
  },
  "search": {
    "center_on_match": true,
  },
  "use_smartcase_search": true,
  "vertical_scroll_margin": 3.0,
  "autosave": {
    "after_delay": {
      "milliseconds": 1000,
    },
  },
  "helix_mode": false,
  "buffer_line_height": "comfortable",
  "telemetry": {
    "diagnostics": false,
    "metrics": false,
  },
  "vim_mode": true,
  "icon_theme": {
    "mode": "system",
    "light": "Catppuccin Mocha",
    "dark": "Catppuccin Mocha",
  },
  "ui_font_size": 16.0,
  "buffer_font_size": 17.0,
  "theme": {
    "mode": "system",
    "light": "Catppuccin Latte",
    "dark": "Catppuccin Mocha",
  },
}
